import request from '@/utils/request';

// 客诉跟进信息详情接口
export function getComplaintCustomerClueInfoById(query) {
  return request({
    url: '/mobile/customerClueInfo/getComplaintCustomerClueInfoById',
    method: 'get',
    params: query,
  });
}

// 新增客诉跟进信息答案接口
export function insertCustomerClueAnswerKs(data) {
  return request({
    url: '/mobile/customerClueInfo/insertCustomerClueAnswerKs',
    method: 'post',
    data,
  });
}

// 客资分类字典接口
export function customerClassify(query) {
  return request({
    url: '/mobile/customerClueInfo/type/customerClassify',
    method: 'get',
    params: query,
  });
}

// 客资子类字典接口
export function customerSubClassify(query) {
  return request({
    url: '/mobile/customerClueInfo/type/customerSubClassify',
    method: 'get',
    params: query,
  });
}
